<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:cxf="http://cxf.apache.org/core"
       xmlns:jaxws="http://cxf.apache.org/jaxws"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
       http://www.springframework.org/schema/context
http://www.springframework.org/schema/context/spring-context-2.5.xsd
       http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd
       http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
"
       default-autowire="byName"
       default-lazy-init="false" >


  <bean id="abstractLoggingInterceptor" abstract="true">
      <property name="prettyLogging" value="true"/>
  </bean>
  <bean id="CxfInInterceptor" class="gov.va.med.esr.common.util.CxfInInterceptor" parent="abstractLoggingInterceptor"/>
  <bean id="CxfOutInterceptor" class="gov.va.med.esr.common.util.CxfOutInterceptor" parent="abstractLoggingInterceptor"/>

  <cxf:bus>
      <cxf:inInterceptors>
          <ref bean="CxfInInterceptor"/>
      </cxf:inInterceptors>
      <cxf:outInterceptors>
          <ref bean="CxfOutInterceptor"/>
      </cxf:outInterceptors>
      <cxf:outFaultInterceptors>
          <ref bean="CxfOutInterceptor"/>
      </cxf:outFaultInterceptors>
      <cxf:inFaultInterceptors>
          <ref bean="CxfInInterceptor"/>
      </cxf:inFaultInterceptors>
</cxf:bus>

</beans>



